### Method

# Fwupd JsonParser set_max_depth

since: 2.1.1

#### Declaration [src]

    void
    fwupd_json_parser_set_max_depth (
      FwupdJsonParser* self,
      guint max_depth
    )

#### Description [src]

Sets the maximum nesting depth.

The default maximum depth is `G_MAXUINT16`, but users of `FwupdJsonParser` should use this function to set a better limit.

Available since: 2.1.1

#### Parameters

`max_depth`

  Type: `guint`

  Max nesting depth.